Страница 1 из 3 123 ПоследняяПоследняя
Показано с 1 по 10 из 26

Тема: Ошибка библиотеки IoDrvModbusBase

  1. #1

    По умолчанию Ошибка библиотеки IoDrvModbusBase

    Не знаю как исправить проблему. Ошибка библиотеки. CDS v3.5. Может кто знает как вылечить?

    [ERROR] iodrvmodbus, 3.5.3.0 (3s - smart software solutions gmbh): Менеджер библиотек: Невозможно открыть библиотеку '#IoDrvModbusBase'. (Причина: Невозможно разрешить библиотеку заполнителя 'IoDrvModbusBase'.)

  2. #2

    По умолчанию

    такая же проблема, что то с репозиториями решение пока не нашел, не понятно почему не отвечает поддержка

  3. #3
    Пользователь
    Регистрация
    04.07.2013
    Адрес
    Челябинск
    Сообщений
    7

    По умолчанию

    Я уже обошел это.
    Заработало со старой версией библиотеки - 3.4.2

  4. #4
    Пользователь Аватар для capzap
    Регистрация
    25.02.2011
    Адрес
    Киров
    Сообщений
    10,810

    По умолчанию

    блин, а какой ответ Вы хотите услышать по предоставленной информации. Что мешает выложить проект, он же всё равно пока тестовый. И уж если хочется скрыть свой гениальный код, то хотя бы дать больше информации, какая версия КДС (а не библиотеки), какой компилятор выбран, какие опции стоят в свойствах проекта, как "поднят" модбас и т.д.

  5. #5
    Пользователь
    Регистрация
    04.07.2013
    Адрес
    Челябинск
    Сообщений
    7

    По умолчанию

    У меня не заработали примеры - быстрый старт и те что тут выкладывали в темах(в т.ч. самих разработчиков)
    с новыми библиотеками ни в какую(CODESYS V3.5 SP3 Patch 2)...
    Последний раз редактировалось SergSB; 17.07.2013 в 12:12.

  6. #6

    По умолчанию

    codesys v3.5 sp3 path3, репозитарий последний, модбас реализован в конфигураторе, при открытии файла уведомление: Невозможно открыть библиотеку '#IoDrvModbusBase'. (Причина: Невозможно разрешить библиотеку заполнителя 'IoDrvModbusBase'.)
    Вложения Вложения

  7. #7

    По умолчанию

    Цитата Сообщение от SergSB Посмотреть сообщение
    Я уже обошел это.
    Заработало со старой версией библиотеки - 3.4.2
    как поменять версию? дня два от силы работаю с codesys v3.
    Последний раз редактировалось Badrey; 17.07.2013 в 13:14.

  8. #8
    Пользователь
    Регистрация
    04.07.2013
    Адрес
    Челябинск
    Сообщений
    7

    По умолчанию

    по правой кнопке мыши, выбрать - обновить устройство, и поставить галочку - показывать все версии(это по модбасу)
    в менеджере библиотек - удалить новую и добавить с галочкой на показ старых версий
    Последний раз редактировалось SergSB; 17.07.2013 в 13:20.

  9. #9

    По умолчанию

    Пробовал уже, нет старых версий.
    Я так понимаю копать надо в сторону правильности установки кодесиса, а именно последовательности версий, патчей и хотфиксоов

  10. #10

    По умолчанию

    мож кто скажет что именно ставить?

Страница 1 из 3 123 ПоследняяПоследняя

Похожие темы

  1. C# + Библиотеки ОВЕН
    от Alor в разделе Помощь Разработчикам
    Ответов: 3
    Последнее сообщение: 07.06.2019, 12:01
  2. Библиотеки
    от Евгений Сергеевич в разделе ПЛК3хх
    Ответов: 160
    Последнее сообщение: 23.08.2018, 12:25
  3. Библиотеки
    от Александр М в разделе ПЛК1хх
    Ответов: 1
    Последнее сообщение: 23.05.2008, 13:15
  4. Фирменные библиотеки
    от zilog в разделе ПЛК1хх
    Ответов: 1
    Последнее сообщение: 12.01.2007, 08:32

Ваши права

  • Вы не можете создавать новые темы
  • Вы не можете отвечать в темах
  • Вы не можете прикреплять вложения
  • Вы не можете редактировать свои сообщения
  •